Bug 464709 - pkg-config reports the wrong version of libdrm
pkg-config reports the wrong version of libdrm
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libdrm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-29 20:10 EDT by Jon Dufresne
Modified: 2018-04-11 14:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-02 02:06:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Dufresne 2008-09-29 20:10:02 EDT
# yum info libdrm libdrm-devel
Loaded plugins: refresh-packagekit
Installed Packages
Name       : libdrm
Arch       : i386
Version    : 2.4.0
Release    : 0.13.fc9
Size       : 44 k
Repo       : installed
Summary    : Direct Rendering Manager runtime library
URL        : http://dri.sourceforge.net
License    : MIT
Description: Direct Rendering Manager runtime library

Name       : libdrm-devel
Arch       : i386
Version    : 2.4.0
Release    : 0.13.fc9
Size       : 311 k
Repo       : installed
Summary    : Direct Rendering Manager development package
URL        : http://dri.sourceforge.net
License    : MIT
Description: Direct Rendering Manager development package

# pkg-config --modversion libdrm
2.3.1

---
As the above shows, libdrm 2.4.0 is installed, but pkg-config believes 2.3.1 is installed. Either yum is incorrect, or the pkg-config file is incorrect.
Comment 2 Jon Dufresne 2009-06-02 02:06:50 EDT
Just checked this recently and this has been fixed.

Note You need to log in before you can comment on or make changes to this bug.